<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>{% block title %}Welcome!{% endblock %}</title>
    {% block stylesheets %}
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
              integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1"
              crossorigin="anonymous">
        <style>
            a {
                text-decoration: none;
            }
        </style>
    {% endblock %}

    {% block javascripts %}
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
                integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW"
                crossorigin="anonymous"></script>
    {% endblock %}
</head>
<body>
<nav class="navbar navbar-light bg-light justify-content-between mx-2">
    <a href="{{ path('post_index') }}"><h1 class="navbar-brand">Symfony blog</h1></a>
    <div style="display: inline-flex">
        <a href="{{ path('post_new') }}"><button type="button" class="btn btn-primary my-2">Create new blog</button>
        </a>
        {% if app.user %}
            <div class="my-auto">
                You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
            </div>
        {% else %}
            <a href="{{ path('app_login') }}"><button class="btn btn-success my-2">Login</button></a>
        {% endif %}
    </div>
</nav>
<div class="mx-5">
    {% block body %}{% endblock %}
</div>
</body>
</html>
